
#ifndef DFONT_H
#define DFONT_H

#include <SDL.h>
#include <SDL_image.h>
#include <iostream>
#include <fstream>
#include <map>

//The following enum is for getting text centered horizontally or 
//vertically.  They are passed as X, Y values to the PutChar/PutString
//functions.

enum {CTR_HORIZ=-1, CTR_VERT=-2};

Uint32 GetPixel (SDL_Surface *, Sint32, Sint32);

class DFont 
{
 protected:
  map <char, SDL_Rect> fonts;
  SDL_Surface * fontSurface;
  int gap;

 private:
  void initMap (const char *);	
  void loadMap (const char *); 
  void loadImage (const char *);

 public:
  DFont (const char *, const char * );		
  ~DFont ();
  void PutString(SDL_Surface *, Sint16 , Sint16 , const char * );
  void PutChar(SDL_Surface *, Sint16, Sint16, char);
 
};

ostream& operator << (ostream & , SDL_Rect const &);//output a record
istream& operator >> (istream & , SDL_Rect &);//input a record
#endif







